Message: Re: problems with AIDAJNI Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None Re: problems with AIDAJNI 

Forum: Analysis
Re: Question problems with AIDAJNI (S.Fonseca)
Date: 29 Oct, 2003
From: Mark Donszelmann <Mark Donszelmann>

Are you compiling the latest A01 overlay with path-02 of Geant4?

If not, get patch-02 from G4, get the A01 from:

ftp://ftp.slac.stanford.edu/software/freehep/AIDAJNI/v3.0.4/ called Geant4-JAIDA-3.0.4.tar.gz

this file overlays on top of geant4, and hooks A01 to the 3.0.4 AIDAJNI.

--
It looks like the 2 symbols are wanted from libjvm.so. 

type:

aida-config --lib

which returns something like: -L /u/ec/duns/w3/AIDAJNI-3.0.4/lib/Linux-g++3 -l AIDAJNI -l FHJNI -L /afs/slac/p ackage/java/@sys/jdk1.4/jre/lib/i386/client -l jvm

and look if this line points to the libjvm.so

Otherwise you may want to try to recompile AIDAJNI, see the releaseNotes on the web:

http://java.freehep.org/aidajni/ReleaseNotes.html

cheers Mark Donszelmann

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

 Add Message Add Message
to: "Re: problems with AIDAJNI"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]